### Method

# EDataBook BookCache search_uids

since: 3.26

#### Declaration [src]

    gboolean
    e_book_cache_search_uids (
      EBookCache* book_cache,
      const gchar* sexp,
      GSList** out_list,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Similar to e_book_cache_search(), but fetches only a list of contact UIDs.

The returned `out_list` list should be freed with g_slist_free_full(list, g_free) when no longer needed.

Available since: 3.26

#### Parameters

`sexp`

  Type: `const gchar*`

  Search expression; use `NULL` or an empty string to get all stored contacts.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_list`

  Type: A list of `utf8`

  Return location to store a `GSList` of contact uids.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise `FALSE` is returned and `error` is set appropriately.